Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Functions | Variables
span.hpp File Reference

## Classes
struct | ranges::span< T, N >

## Functions
template<typename T , detail::span_index_t N>
span< unsigned char const, detail::byte_size< T >N)> | ranges::as_bytes (span< T, N > s) noexcept
template<typename T , detail::span_index_t N>
span< unsigned char, detail::byte_size< T >N)> | ranges::as_writeable_bytes (span< T, N > s) noexcept
template<typename ElementType >
constexpr span< ElementType > | ranges::make_span (ElementType *first, ElementType *last) noexcept
template<typename ElementType >
constexpr span< ElementType > | ranges::make_span (ElementType *ptr, detail::span_index_t count) noexcept

## Variables
constexpr detail::span_index_t | ranges::dynamic_extent = -1